DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | List of all members
OFStackLinkBase Struct Reference

non-template single linked list class, used to store elements of a stack. More...

Inheritance diagram for OFStackLinkBase:

## Public Member Functions
| OFStackLinkBase ()
| default constructor
virtual | ~OFStackLinkBase ()
| destructor

## Public Attributes
OFStackLinkBase * | next
| pointer to next entry in list

## Private Member Functions
| OFStackLinkBase (const OFStackLinkBase &)
| private undefined copy constructor
OFStackLinkBase & | operator= (const OFStackLinkBase &)
| private undefined copy assignment operator

## Detailed Description

non-template single linked list class, used to store elements of a stack.

Implicitly used by OFStack, should not be called by users.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofstack.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2